Skip to main content
GET
List Retain Transactions

Query Parameters

start_timestamp
string<date-time> | null

A date-time parameter (as defined by RFC 3339), allowing to filter for a time range. Enter the time of the Transaction submission to Retain that you'd like to see.

Defaults to Retain system current date and time minus 1 day. Range with end_timestamp cannot exceed 31 days.

end_timestamp
string<datetime>

The date-time parameter, (as defined by RFC 3339, section 5.6) allowing to filter for a time range. Enter the date range closing time until which Transactions were submitted to Retain.

Defaults to timestamp + 1 day. Range with start_timestamp cannot exceed 31 days.

account_id
string

Merchant's unique identifier for Account/customer related to a submitted Transaction.

payment_method_id
string

Merchant's unique identifier for a payment method used for a Retain Transaction.

processor_transaction_id
string

Payment Provider's unique identifier for a transaction in their system related to a Retain Transaction.

subscription_id
string

Merchant's unique identifier for Subscription related to a submitted Transaction.

status
enum<string>[]

Filters the list of transactions fetched by status. Can be:

  • Authorized
  • Captured
  • Settled
  • Refunded
  • In Retry
  • Partially Refunded
  • Stopped
  • Failed
  • Cancelled
  • Void
  • Refund Requested
  • Stop Requested
Available options:
Cancelled,
Captured,
Failed,
Refunded,
Void,
In Retry,
Partially Refunded,
Stopped,
Settled,
Authorized,
Refund Requested,
Stop Requested
currency
string

Filter Transaction list by ISO 4217 3-character currency code.

Maximum string length: 3
Example:

"USD"

limit
integer<int32>
default:20

A limit on the number of objects to be returned, between 1 and 100.

If set to greater than 100, the value is set to 100.

Required range: 1 <= x <= 100
starting_after
string

A cursor for use in pagination. starting_after is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

ending_before
string

A cursor for use in pagination. ending_before is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

attributesfilter
enum<string>[]

this allows the consumer to filter the response to retrieve only specific attributes for retain transaction. Can be:

  • vid
  • id
  • timestamp
  • amount
  • partial_amount
  • currency
  • status
  • division_number
  • next_activity
  • retry_number
  • retain_transaction_id
  • processor_transaction_id
  • account_id
  • subscription_id
  • submitted_ts
Available options:
vid,
id,
timestamp,
amount,
partial_amount,
currency,
status,
division_number,
retain_transaction_id,
next_activity,
retry_number,
processor_transaction_id,
account_id,
subscription_id,
submitted_ts
Example:

"account_id,amount,currency,subscription_id,timestamp,status,processor_transaction_id,retain_transaction_id,submitted_ts."

Response

List of Transactions with pagination links

object
enum<string>
Available options:
List
data
object[]
url
string

The query string provided in the request

next
string

The route (partial URL) to the next Transaction object (string to select the “next”); included id should match that of the last object returned here.

previous
string

The route (partial URL) to the previous Transaction object (string to select the “previous”); included id should match that of the first object returned here.

total_count
integer

Integer count of the number of items in the returned list.